View Issue Details

IDProjectCategoryView StatusLast Update
0003932FEM[FreeCAD] Featurepublic2019-09-11 03:58
ReporterAndreiTsayukovAssigned Toberndhahnebach 
PriorityurgentSeveritymajorReproducibilityalways
Status assignedResolutionopen 
Platform64-bitOSWindows 10OS Version1809
Product Version[FreeCAD] 0.19 
Target VersionFixed in Version 
Summary0003932: FEM - Selecting the interior solids of CompSolid
DescriptionI'm going to simulate composite materials but I've come across with inability to select the interior solids of CompSolid.

This problem arises when asigning mesh region and/or material to the interior solid.

Adding a clipping plane to see the interior shapes and selecting either the edge or the face that belong to the interior solid yields a message "Edge (Face) belongs to more than one solid".

I was following this tutorial.

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.16274 (Git)
Build type: Release
Branch: master
Hash: 7c760259a389b38b76da78e4f6e1f9be66714842
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: Russian/RussianFederation (ru_RU)
Steps To ReproduceFEM Workbench. Analysis is activated.

0. Create a clipping plane via Utilities -> Clipping plane on face to see the interior
1. Highlight the CompSolid in the tree view
2. Select Mesh -> FEM mesh form shape by Gmsh and then leave the dialog by clicking OK button
3. Highlight FEMMeshGmsh in the tree view and create a Mesh Region via Mesh -> FEM mesh region
4. Enter max element size
5. Toggle the selection mode to Solid and press "Add" button
6.1. In 3D view select edge/face that belongs to the interior solid
6.2. Use SelectingTools and select any solid in the list
Additional InformationI think the feature of selecting the interior solids must be.

How I see this feature. When selecting vertext/edge/face of the interior solid somewhat context menu or window with contiguous shapes listed comes up. There shoud be edges, faces or solids corresponding to the selection mode chosen. Hovering on the item of the list makes this item highlighted in 3D view. Selecting the solid in the list adds it correctly to the list of mesh region/material assignment.

The similar functionality is implemented here but selecting the interior solid form the list yields an error in the Report view.
Tags#pending-forum, FEM, material, mesh region

Activities

AndreiTsayukov

2019-04-12 06:14

reporter  

1.png (236,079 bytes)
1.png (236,079 bytes)
2.png (253,999 bytes)
2.png (253,999 bytes)
3.png (265,118 bytes)
3.png (265,118 bytes)

Kunda1

2019-04-15 11:19

administrator   ~0013027

Fixed typo in title.
@AndreiTsayukov thanks for the well written report. In the future please first post to the FEM forum to get the FEM core devs attention as we suggest in the guidelines posted in the yellow banner at the top of this page.
Bernd, assigning to you so you see this.

berndhahnebach

2019-09-11 03:58

developer   ~0013571

https://forum.freecadweb.org/viewtopic.php?f=18&t=34542

Issue History

Date Modified Username Field Change
2019-04-12 06:14 AndreiTsayukov New Issue
2019-04-12 06:14 AndreiTsayukov Tag Attached: FEM
2019-04-12 06:14 AndreiTsayukov Tag Attached: material assignment
2019-04-12 06:14 AndreiTsayukov Tag Attached: mesh region
2019-04-12 06:14 AndreiTsayukov File Added: 1.png
2019-04-12 06:14 AndreiTsayukov File Added: 2.png
2019-04-12 06:14 AndreiTsayukov File Added: 3.png
2019-04-15 11:19 Kunda1 Assigned To => berndhahnebach
2019-04-15 11:19 Kunda1 Status new => assigned
2019-04-15 11:19 Kunda1 Summary FEM. Selecting the interior soldids of CompSolid => FEM - Selecting the interior solids of CompSolid
2019-04-15 11:19 Kunda1 Description Updated View Revisions
2019-04-15 11:19 Kunda1 Steps to Reproduce Updated View Revisions
2019-04-15 11:19 Kunda1 Additional Information Updated View Revisions
2019-04-15 11:19 Kunda1 Note Added: 0013027
2019-04-15 11:20 Kunda1 Description Updated View Revisions
2019-09-10 20:42 Kunda1 Tag Attached: material
2019-09-10 20:42 Kunda1 Tag Detached: material assignment
2019-09-10 20:44 Kunda1 Tag Attached: #pending-forum
2019-09-11 03:58 berndhahnebach Note Added: 0013571